Bug 506451 - xorg screen froze - mouse cursor still moved but nothing else
xorg screen froze - mouse cursor still moved but nothing else
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 08:12 EDT by Stefan Assmann
Modified: 2010-06-28 10:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:05:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (65.16 KB, text/plain)
2009-06-17 08:12 EDT, Stefan Assmann
no flags Details
strace_xorg.txt (76.86 KB, text/plain)
2009-06-17 08:13 EDT, Stefan Assmann
no flags Details
Fedora 13 - Xorg log for same problem? (1.31 MB, text/plain)
2010-06-26 22:45 EDT, Dan Scott
no flags Details

  None (edit)
Description Stefan Assmann 2009-06-17 08:12:07 EDT
Created attachment 348244 [details]
Xorg.0.log

Description of problem:
During random work xorg froze. I could still move the mouse cursor around but clicking on anything didn't show any kind of response. Switching consoles didn't work either. I could still login from another machine via ssh and took some logs.
I took an strace of xorg and copied away the xorg.0.log.

Anything else I should record when this happens again?

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.6.1.901-1.fc11.x86_64

How reproducible:
happened once

Actual results:
xorg froze

Expected results:
xorg keeps working normally
Comment 1 Stefan Assmann 2009-06-17 08:13:08 EDT
Created attachment 348245 [details]
strace_xorg.txt
Comment 2 Matěj Cepl 2009-06-28 08:25:21 EDT
bradford:~$ checkXorgLog 'https://bugzilla.redhat.com/attachment.cgi?id=348244'
(WW) Falling back to old probe method for vesa
(WW) Falling back to old probe method for fbdev
(WW) intel(0): Unknown vendor-specific block f
(EE) intel(0): max_gtt_map_size: 53525kb.
(EE) intel(0): max_gtt_map_size: 53525kb.
(EE) intel(0): max_gtt_map_size: 53525kb.
(EE) intel(0): max_gtt_map_size: 53525kb.
(WW) intel(0): Unknown vendor-specific block f
(WW) intel(0): Unknown vendor-specific block f
(WW) intel(0): Unknown vendor-specific block f
(WW) intel(0): Unknown vendor-specific block f
(WW) intel(0): Unknown vendor-specific block f
(WW) intel(0): Unknown vendor-specific block f
(EE) intel(0): max_gtt_map_size: 49429kb.
(EE) intel(0): max_gtt_map_size: 49429kb.
(EE) intel(0): max_gtt_map_size: 49429kb.
(EE) intel(0): max_gtt_map_size: 51477kb.
(WW) intel(0): Unknown vendor-specific block f
(WW) intel(0): Unknown vendor-specific block f
(WW) intel(0): Unknown vendor-specific block f
(EE) intel(0): max_gtt_map_size: 51477kb.
(EE) intel(0): max_gtt_map_size: 51477kb.
(EE) intel(0): max_gtt_map_size: 51477kb.
bradford:~$
Comment 4 Matěj Cepl 2009-11-05 13:32:24 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 5 Bug Zapper 2010-04-27 11:01:23 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Scott Marlow 2010-06-09 11:08:55 EDT
I am seeing similar symptoms with F13.  Some output from Xorg.0.log is here http://pastebin.com/naDt6JyM
Comment 7 Dan Scott 2010-06-26 22:45:58 EDT
Created attachment 427172 [details]
Fedora 13 - Xorg log for same problem?

Running Fedora 13 x86_64 on my Lenovo T400 with integrated Intel graphics, I occasionally see the same minute-or-so period of sluggish mouse movement and window responsiveness as the original reporter. "top" reports Xorg running at close to 100% of one of the CPUs during that time, and the log shows an incredible number of attempts to detect display resolutions during that time.
Comment 8 Bug Zapper 2010-06-28 09:05:49 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Dan Scott 2010-06-28 09:48:10 EDT
Eh? I guess only the original bug reporter can change the reported version to reopen the bug; otherwise I would reopen it, given the comments that Scott Marlow and I appended regarding F13 in the past month. I suppose I could open a new bug and point back at this one, but that seems like a waste.
Comment 10 Scott Marlow 2010-06-28 10:44:41 EDT
I'm also following https://bugzilla.redhat.com/show_bug.cgi?id=528312, which has a kernel patch that worked for me (using F13).

Note You need to log in before you can comment on or make changes to this bug.